%bcond_with bootstrap

%global _cmake_skip_rpath %nil

%define major 101
%define glibmajor 8
%define qt5major 1
%define cppmajor 0
%define girmajor 0.18

%define libname		%mklibname %name %{major}
%define libnameglib	%mklibname %name-glib %{glibmajor}
%define libnameqt5	%mklibname %name-qt5- %{qt5major}
%define libnamecpp	%mklibname %name-cpp %{cppmajor}
%define libnamedev	%mklibname -d %{name}
%define libnameglibdev	%mklibname -d %{name}-glib
%define libnameqt5dev	%mklibname -d %{name}-qt5
%define libnamecppdev   %mklibname -d %{name}-cpp
%define libnamegir	%mklibname %{name}-gir %{girmajor}

Name:		poppler
Summary: 	PDF rendering library
Group:		Publishing
Version:	0.90.1
Release:	%mkrel 2
License:	GPLv2+
URL:		https://poppler.freedesktop.org
Source:		https://poppler.freedesktop.org/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(cairo-ft) >= 1.10.0
BuildRequires:	pkgconfig(cairo-pdf)
BuildRequires:	pkgconfig(cairo-ps)
BuildRequires:	pkgconfig(cairo-svg)
BuildRequires:	pkgconfig(fontconfig) >= 2.0.0
BuildRequires:	pkgconfig(freetype2)
%if %{without bootstrap}
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.18
BuildRequires:	pkgconfig(glib-2.0) >= 2.18
BuildRequires:	pkgconfig(gobject-2.0) >= 2.18
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  gtk-doc
BuildRequires:	python3
%endif
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(nss)
%if %{without bootstrap}
BuildRequires:	pkgconfig(Qt5Core) >= 5.0.0
BuildRequires:	pkgconfig(Qt5Gui) >= 5.0.0
BuildRequires:	pkgconfig(Qt5Test) >= 5.0.0
BuildRequires:	pkgconfig(Qt5Widgets) >= 5.0.0
BuildRequires:	pkgconfig(Qt5Xml) >= 5.0.0
%endif
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	cmake
BuildRequires:	xsltproc
Provides:	xpdf-tools
Provides:	pdftohtml

%description
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n	%{libname}
Summary:	PDF rendering library
Group:          System/Libraries
Conflicts:	lib64poppler12
#Obsoletes:	lib64poppler85
Obsoletes:	lib64poppler100
Requires:	poppler-data

%description -n	%{libname}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n	%{libnamedev}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{libnamedev}
Development files for %{name}

%package -n	%{libnamecpp}
Summary:	PDF rendering library - C++ backend
Group:          System/Libraries

%description -n	%{libnamecpp}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the C++ backend version.

%package -n	%{libnameqt5dev}
Summary: 	Development files for %{name}-qt5
Group:		Development/Libraries
Provides:	%{name}-qt5-devel = %{version}-%{release}
Requires:	%{libnameqt5} = %{version}
Requires:	%{libnamedev} = %{version}

%description -n	%{libnameqt5dev}
Development files for %{name}-qt5.

%package -n	%{libnameqt5}
Summary: 	PDF rendering library - Qt5 backend
Group:		System/Libraries

%description -n	%{libnameqt5}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the Qt5 backend version.

%package -n	%{libnameglib}
Summary:	PDF rendering library - glib binding
Group:		System/Libraries
Conflicts:	%{libname} < %{version}-%{release}

%description -n	%{libnameglib}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n	%{libnameglibdev}
Summary:	Development files for %{name}'s glib binding
Group:		Development/Libraries
Provides:	%{name}-glib-devel = %{version}-%{release}
Requires:	%{libnameglib} = %{version}
Requires:	%{libnamedev} = %{version}
Conflicts:	%{libnamedev} < %{version}-%{release}
Obsoletes:	%{libnameglib}-devel

%description -n	%{libnameglibdev}
Development files for %{name}'s glib binding.

%package -n	%{libnamecppdev}
Summary:	Development files for %{name}-cpp
Group:		Development/Libraries
Provides:	%{name}-cpp-devel = %{version}-%{release}
Requires:	%{libnamecpp} = %{version}
Requires:	%{libnamedev} = %{version}

%description -n	%{libnamecppdev}
Development files for %{name}-cpp.

%prep
%setup -q
%apply_patches

# fix shebang
sed -i -e 's,\(#!%{_bindir}/\).*,\1python3,' make-glib-api-docs

%build
%if %{without bootstrap}
export MOCQT5=%{_qt5_bindir}/moc
%endif

%cmake \
  -DBUILD_GTK_TESTS=%{?with_bootstrap:OFF}%{?!with_bootstrap:ON} \
  -DBUILD_QT5_TESTS=%{?with_bootstrap:OFF}%{?!with_bootstrap:ON} \
  -DENABLE_CMS=lcms2 \
  -DENABLE_DCTDECODER=libjpeg \
  -DENABLE_LIBOPENJPEG=openjpeg2 \
  -DENABLE_QT5=%{?with_bootstrap:OFF}%{?!with_bootstrap:ON} \
  -DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
  -DENABLE_GTK_DOC=%{?with_bootstrap:OFF}%{?!with_bootstrap:ON}

%make_build

%install
%make_install -C build

%{__cp} -a build/config.h %{buildroot}%{_includedir}/poppler/

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libpoppler.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/libpoppler.so
%dir %{_includedir}/poppler/
%{_includedir}/poppler/config.h
%{_includedir}/poppler/[A-Z]*
%{_includedir}/poppler/fofi
%{_includedir}/poppler/goo
%{_includedir}/poppler/splash
%{_includedir}/poppler/poppler-config.h
%{_libdir}/pkgconfig/poppler-cairo.pc
%{_libdir}/pkgconfig/poppler-splash.pc
%{_libdir}/pkgconfig/poppler.pc
%if %{without bootstrap}
%doc %{_datadir}/gtk-doc/html/%{name}/
%endif

%files -n %{libnameglib}
%{_libdir}/libpoppler-glib.so.%{glibmajor}*
%{_libdir}/girepository-1.0/Poppler-%{girmajor}.typelib

%files -n %{libnameglibdev}
%{_libdir}/libpoppler-glib.so
%{_libdir}/pkgconfig/poppler-glib.pc
%{_includedir}/poppler/glib/
%{_datadir}/gir-1.0/Poppler-%{girmajor}.gir

%if %{without bootstrap}
%files -n %{libnameqt5dev}
%{_includedir}/poppler/qt5/
%{_libdir}/pkgconfig/poppler-qt5.pc
%{_libdir}/libpoppler-qt5.so

%files -n %{libnameqt5}
%{_libdir}/libpoppler-qt5.so.%{qt5major}*
%endif

%files -n %{libnamecpp}
%{_libdir}/libpoppler-cpp.so.%{cppmajor}*

%files -n %{libnamecppdev}
%{_libdir}/libpoppler-cpp.so
%{_libdir}/pkgconfig/poppler-cpp.pc
%{_includedir}/poppler/cpp


%changelog
* Sat Jul 10 2021 tex - 0.90.1-2pclos2021
- rebuild against updates

* Sun Jul 12 2020 ghostbunny <ghostbunny at gmx dot de> 0.90.1-1pclos2020
- 0.90.1

* Sat Jul 10 2020 tex - 0.90.0-3pclos2020
- dont obsolete lib64poppler85 for now as trinity needs it
- add req poppler-data instead of recommends since we dont have
- recommends in our version of apt/rpm

* Sat Jul 04 2020 ghostbunny <ghostbunny at gmx dot de> 0.90.0-2pclos2020
- obsoletes old poppler libs

* Fri Jul 03 2020 ghostbunny <ghostbunny at gmx dot de> 0.90.0-1pclos2020
- 0.90.0

* Sat Jun 13 2020 ghostbunny <ghostbunny at gmx dot de> 0.89.0-1pclos2020
- 0.89.0
- add BR xsltproc

* Fri Mar 08 2019 tex 0.74.0-1pclos2019
- sync to mga
